/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.openrune.task;

/**
 * A Task that can be performed by the GameEngine.
 * A bare Task object will be executed as soon as the GameEngine
 * is ready to execute it. For more control over the timing and
 * repetition of Tasks, use the subclasses of this interface.
 * @author ry60003333
 */
public interface Task
{
    /**
     * Execute the Task.
     */
    public void execute();
}
